=== debian/changelog ===
avw.lv2 (0.0.8~dfsg0-1) unstable; urgency=low

  * Initial release. (Closes: #694080)

 -- Alessio Treglia <alessio@debian.org>  Fri, 23 Nov 2012 17:53:43 +0000
