=== debian/control ===
Source: avw.lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 libcairo2-dev,
 libgtk2.0-dev,
 libgtkmm-2.4-dev,
 libjack-dev,
 lv2-dev,
 pkg-config,
 python
Standards-Version: 3.9.4
Homepage: https://sourceforge.net/projects/avwlv2/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/avw.lv2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/avw.lv2.git

Package: avw.lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: collection of Voltage Controlled LV2 modules
 avw.lv2 consists in a subset of the AMS internal modules
 ported into LV2 plugins. It provides VCOs, LFOs, Filters
 and other modules controlled using Voltage Controls.
