=== debian/rules ===
#!/usr/bin/make -f

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~dfsg0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LDFLAGS+=-Wl,--as-needed
WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--strict \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf* get-orig-source
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/avw.lv2

# get-orig-source to drop waf
get-orig-source:
	mkdir get-orig-source || exit 1
	uscan --noconf --force-download --rename \
		--download-current-version --destdir=./get-orig-source/
	cd get-orig-source && tar -xf $(pkg)_$(upstream_version).orig.tar.gz
#	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	mv get-orig-source/$(pkg) ./$(pkg)-$(dfsg_version)
	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
	rmdir $(pkg)-$(dfsg_version)/.waf-*
	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
	tar cf get-orig-source/$(pkg)_$(dfsg_version).orig.tar \
		$(pkg)-$(dfsg_version)
	xz -9fz get-orig-source/$(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)-$(dfsg_version)
