=== debian/changelog ===
avw.lv2 (0.1.6~dfsg0-1build1) wily; urgency=medium

  * No-change rebuild against libatkmm-1.6-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 18:13:10 +0000

avw.lv2 (0.1.6~dfsg0-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Oct 2013 13:50:00 +0100

avw.lv2 (0.1.4~dfsg0-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Aug 2013 10:50:11 +0100

avw.lv2 (0.1.3~dfsg0-1) experimental; urgency=low

  * New upstream release.
  * Build-depend on lvtk-dev.
  * Bump lv2-dev requirement to 1.2.0.
  * Fix get-orig-source.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Mar 2013 17:01:16 +0000
