=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: avw.lv2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
@@ -10,7 +11,8 @@
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  libjack-dev,
- lv2-dev,
+ lv2-dev (>= 1.2.0~),
+ lvtk-dev,
  pkg-config,
  python
 Standards-Version: 3.9.4
