=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://sf.net/avwlv2/avw.lv2.(.*)\.tar\.gz
